king
I'm new here

FirstSpirit FS 4.2 R4 and Oracle JRE/JDK 1.7 respectively OpenJDK

Jump to solution

Dear FirstSpirit Community,

starting with the end of free support for Oracle JRE/JDK 1.6 in March 2013 (details see http://www.oracle.com/technetwork/java/eol-135779.html), we wonder whether:

  • FirstSpirit FS 4.2 R4 is officially ready for JRE/JDK 1.7
  • FirstSpirit FS 4.2 R4 supports OpenJDK

Besides, we know, that FirstSpirit 5 is allowing the usage of Oracle JRE/JDK 1.7.

Please advice.

Kind regards,

Holger King

Labels (1)
Tags (2)
0 Kudos
1 Solution

Accepted Solutions
andre
I'm new here

Re: FirstSpirit FS 4.2 R4 and Oracle JRE/JDK 1.7 respectively OpenJDK

Jump to solution

Hello Mr. King,

Oracle java7 and OpenJDK is not supported for FS 4.2 R4 and does not work correctly in all cases.

FS-5 supports oracle-jdk-7 officially ... openjdk is not officially supported but should work even though we could not give any support for openjdk.

best regards,

andre

View solution in original post

0 Kudos
9 Replies
andre
I'm new here

Re: FirstSpirit FS 4.2 R4 and Oracle JRE/JDK 1.7 respectively OpenJDK

Jump to solution

Hello Mr. King,

Oracle java7 and OpenJDK is not supported for FS 4.2 R4 and does not work correctly in all cases.

FS-5 supports oracle-jdk-7 officially ... openjdk is not officially supported but should work even though we could not give any support for openjdk.

best regards,

andre

0 Kudos
king
I'm new here

Re: FirstSpirit FS 4.2 R4 and Oracle JRE/JDK 1.7 respectively OpenJDK

Jump to solution

Dear André Pfeiler,

do you know, which functions will not work properly under Java 7 when using FirstSpirit FS 4.2 R4? To our understanding, the JavaClient will be affected primarily.

The list you offer need not to be complete. Just tell us some of the functions you know!

Thank you Smiley Happy

0 Kudos
andre
I'm new here

Re: FirstSpirit FS 4.2 R4 and Oracle JRE/JDK 1.7 respectively OpenJDK

Jump to solution

> To our understanding, the JavaClient will be affected primarily.

... not only the javaClient is affected...mainly: underlying data structures -> ordering/sorting, generics... type earsure etc...

so, in my opinion it does not make any sense to test 4.2 R4 against jdk7

regards,

andre

0 Kudos
Peter_Jodeleit
Crownpeak employee
Crownpeak employee

Re: FirstSpirit FS 4.2 R4 and Oracle JRE/JDK 1.7 respectively OpenJDK

Jump to solution

There is an official list at http://www.oracle.com/technetwork/java/javase/compatibility-417013.html

Unfortunately this list is not complete. At least alternate sorting and hashing methods should be switched off to get maximum compatibilty.

Peter
0 Kudos
king
I'm new here

Re: FirstSpirit FS 4.2 R4 and Oracle JRE/JDK 1.7 respectively OpenJDK

Jump to solution

Hi Peter,

thanx for the Oracle link attached:

Peter Jodeleit schrieb:

There is an official list at http://www.oracle.com/technetwork/java/javase/compatibility-417013.html

Unfortunately this list is not complete. At least alternate sorting and hashing methods should be switched off to get maximum compatibilty.

According to the notes there, we found:

Incompatibilities between Java SE 7 and Java SE 6

Java SE 7 is strongly compatible with previous versions of the Java platform. Almost all existing programs should run on Java SE 7 without modification. However, there are some minor potential source and binary incompatibilities in the JRE and JDK that involve rare circumstances and "corner cases" that are documented here for completeness.

The following section:

Java SE 7 Incompatibilities in the Language, the JVM, or the Java SE API

show in detail, where JVM lanuage specific changes took place.

This led us to the request to get a FirstSpirit FS 4.2 R4 build that might run under Java 7.

0 Kudos
king
I'm new here

Re: FirstSpirit FS 4.2 R4 and Oracle JRE/JDK 1.7 respectively OpenJDK

Jump to solution

According to e-Spirit, there will be no implementation adaption to allow FirstSpirit FS 4.2 R4 officially support Oracle Java 7 JRE.

By the way:

- do you know about concrete errors when using FirstSpirit FS 4.2 R4 JavaClient in combination with an Oracle Java JRE 7 installation? (Important: Java 7 will not be used on FirstSpirit server-side, just on client-side).

If so, which ones?

0 Kudos
Peter_Jodeleit
Crownpeak employee
Crownpeak employee

Re: FirstSpirit FS 4.2 R4 and Oracle JRE/JDK 1.7 respectively OpenJDK

Jump to solution

Please mind my advice from the posting above: "At least alternate sorting and hashing methods should be switched off to get maximum compatibilty."

Peter
0 Kudos
Andreas-Knoor
Crownpeak Employee
Crownpeak Employee

Re: FirstSpirit FS 4.2 R4 and Oracle JRE/JDK 1.7 respectively OpenJDK

Jump to solution

There is also a FAQ list for the aspekt "FirstSpirit 4.2 and Java 7" in the community available:

FAQ zum Java-Support im FirstSpirit Java-Client (german only)

0 Kudos

Re: FirstSpirit FS 4.2 R4 and Oracle JRE/JDK 1.7 respectively OpenJDK

Jump to solution

Hello together,

does FirstSpirit v5.x supports the OpenJDK 7? When I read your attached release notes for FirstSpirit 5 under chapter: "9.3 Announcements for future versions" I would say it's supported.

0 Kudos